﻿namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region 엣지 실행하기 - ExecuteEdge(url, newWindow)

    /// <summary>
    /// 엣지 실행하기
    /// </summary>
    /// <param name="url">URL</param>
    /// <param name="newWindow">신규 윈도우 여부</param>
    private static void ExecuteEdge(string url, bool newWindow = true)
    {
        string argumentList = $"/C start msedge {url}{(newWindow ? " --new-window" : "")}";

        System.Diagnostics.Process.Start("cmd", argumentList);
    }

    #endregion
    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    private static void Main()
    {
        ExecuteEdge("https://icodebroker.tistory.com");

        Thread.Sleep(300);

        ExecuteEdge("https://klumina.tistory.com", false);
    }

    #endregion
}